Summary:        CPU Jitter Random Number Generator
Name:           jitterentropy
Version:        3.4.1
Release:        3%{?dist}
License:        BSD or GPLv2
URL:            https://github.com/smuellerDD/jitterentropy-library
Source0:        %{url}/archive/v%{version}/%{name}-library-%{version}.tar.gz

# Disable generation of the useless debuginfo package
Patch3000:      jitterentropy-rh-makefile.patch

BuildRequires:  gcc make

%description
The jitterentropy library provides a source of good entropy by
collecting CPU executing time jitter. 

%package devel
Summary:        jitterentropy development package
Requires:       %{name} = %{version}-%{release}

%description devel
This package includes header files, libraries necessary for
developing programs which use jitterentropy library.

%prep
%autosetup -n %{name}-library-%{version} -p1

%build
%make_build

%install
mkdir -p %{buildroot}/usr/include/
%make_install PREFIX=/usr LIBDIR=%{_lib}

%files
%license LICENSE LICENSE.bsd LICENSE.gplv2
%doc README.md CHANGES.md
%{_libdir}/libjitterentropy.so.3*

%files devel
%{_includedir}/*
%{_libdir}/libjitterentropy.so
%{_mandir}/man3/*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.4.1-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.4.1-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Jul 12 2023 Miaojun Dong <zoedong@tencent.com> - 3.4.1-1
- Bump version to 3.4.1

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.4.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.4.0-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Aug 17 2022 ZoeDong <zoedong@tencent.com> - 3.4.0-1
- Initial build

